name: digi_bank
description: "A new Flutter project."
publish_to: 'none'
version: 1.0.0+3

environment:
  sdk: ^3.7.0
  #  Flutter version 3.29.0
  #  Dart version 3.7.0

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.8
  get: ^4.7.2
  flutter_svg: ^2.0.17
  carousel_slider: ^5.0.0
  roundcheckbox: ^2.0.5
  flutter_rounded_date_picker: ^3.0.4
  intl: ^0.19.0
  shared_preferences: ^2.5.2
  fluttertoast: ^8.2.12
  dio: ^5.8.0+1
  lottie: ^3.3.1
  confetti: ^0.8.0
  dio_cookie_manager: ^3.2.0
  cookie_jar: ^4.0.8
  calendar_date_picker2: ^2.0.0
  pin_code_fields: ^8.0.1
  image_picker: ^1.1.2
  webview_flutter: ^4.11.0
  flutter_widget_from_html: ^0.16.0
  share_plus: ^11.0.0
  file_picker: ^10.1.9
  permission_handler: ^12.0.0+1
  path_provider: ^2.1.5
  device_info_plus: ^11.4.0
  local_auth: ^2.3.0
  android_intent_plus: ^5.3.0
  firebase_core: ^3.15.1
  firebase_messaging: ^15.2.9
  flutter_local_notifications: ^19.3.0
  http: ^1.4.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0
  flutter_launcher_icons: ^0.14.3

flutter_launcher_icons:
  image_path: "assets/logos/png/splash_logo.png"
  android: true
  ios: true
  remove_alpha_ios: true

flutter:
  uses-material-design: true

  assets:
    - assets/logos/png/
    - assets/others/shadow/
    - assets/images/banner/
    - assets/others/shape/svg/
    - assets/others/shape/png/
    - assets/icons/png/
    - assets/images/others/
    - assets/others/frame/
    - assets/images/virtual_cards/
    - assets/icons/png/bottom_navigation/raw/
    - assets/icons/png/bottom_navigation/solid/
    - assets/icons/png/drawer/
    - assets/icons/png/end_drawer/
    - assets/icons/png/common/
    - assets/icons/png/pay_bill/
    - assets/icons/png/withdraw/
    - assets/icons/png/social/
    - assets/images/avatar/
    - assets/icons/png/portfolio/
    - assets/others/loading/
    - assets/icons/png/transaction_type/
    - assets/icons/png/statistics/


  fonts:
    - family: Qanelas Soft
      fonts:
        - asset: assets/fonts/QanelasSoftBold.otf

    - family: Plus Jakarta Sans
      fonts:
        - asset: assets/fonts/PlusJakartaSans.ttf
        - asset: assets/fonts/plus_jakarta_sans_medium.ttf
          weight: 500
        - asset: assets/fonts/plus_jakarta_sans_bold.ttf
          weight: 700

